%define upstream_name	 Pod-Coverage
%define upstream_version 0.22

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Checks if the documentation of a perl module is comprehensive
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::Symdump) >= 2.10.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Find) >= 0.210.0
BuildRequires: perl(Pod::Parser) >= 1.130.0
BuildRequires: perl(Test::More)
BuildRequires: perl-Module-Build
BuildRequires: perl-Devel-Symdump
BuildArch:  noarch

%description
Developers hate writing documentation. They'd hate it even more if their
computer tattled on them, but maybe they'll be even more thankful in the long
run. Even if not, perlmodstyle tells you to, so you must obey. This perl module
provides a mechanism for determining if the pod for a given module is
comprehensive.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor DESTDIR=%{buildroot}
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes META.yml MYMETA.yml examples
%{perl_vendorlib}/Pod/*
%{_bindir}/pod_cover
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.220.0-2.mga3
+ Revision: 371901
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 0.220.0-1.mga2
+ Revision: 213160
- update to 0.22

* Fri Jan 21 2011 jquelin <jquelin> 0.210.0-2.mga1
+ Revision: 29683
- rebuild
- mageia rebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.210.0-1.mga1
+ Revision: 14023
- imported package perl-Pod-Coverage

